de.esprit.appsuite.gui

## Class ToolAction<C extends ApplicationContext>

- java.lang.Object
- - javax.swing.AbstractAction
  - - de.esprit.common.gui.ZAction<C>
    - - de.esprit.appsuite.gui.ToolAction<C>

- All Implemented Interfaces:
    ApplicationObject<C>, ErrorHandlerSupport, SimpleLogSupport, java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action
  Direct Known Subclasses:
    AboutVersionDialogAction

      public abstract class ToolAction<C extends ApplicationContext>
      extends ZAction<C>

  This is the base class for actions in the application toolbar. It pops up either a `ToolDialog` or a `ToolFrame`.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolAction(C ctx, NlsActionKey nls)`
    `ToolAction(C ctx, NlsActionKey nls, IconKey iconKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionFired(java.awt.event.ActionEvent e)` Is called when the action is fired.
    `protected abstract ApplicationToolWindow` | `createWindow(C ctx, java.awt.Component caller)`
    `ApplicationToolWindow` | `getToolWindow()`
    `void` | `setToolWindow(ApplicationToolWindow window)`

    - ### Methods inherited from class de.esprit.common.gui.ZAction

      `actionConfirmed, actionDenied, actionFailed, actionPerformed, actionPrepare, actionSucceeded, checkEnableCondition, fire, getApplicationContext, getButtonText, getIcon, getLogChannel, getMenuText, getName, getPressedIcon, getTipText, isForced, isHandleError, isLogDebug, isLogVerbose, isPermitted, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, performAvailabilityCheck, setBusyAnimationEnabled, setHandleError, setIcon, setIcon, setLogChannel, setName, setPressedIcon, setPressedIcon, setText, setTipText, setValidator, showError, showError, showError, showInfo, showInfo, showWarning, showWarning, toString`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ToolAction

          public ToolAction(C ctx,
                    NlsActionKey nls)

    - #### ToolAction

          public ToolAction(C ctx,
                    NlsActionKey nls,
                    IconKey iconKey)

  - ### Method Detail

    - #### actionFired

          public final void actionFired(java.awt.event.ActionEvent e)
                                 throws java.lang.Exception

      Description copied from class: `ZAction`
      Is called when the action is fired. It contains the code being executed by this action.
      Specified by:
        `actionFired` in class `ZAction<C extends ApplicationContext>`
      Throws:
        `java.lang.Exception`

    - #### getToolWindow

          public ApplicationToolWindow getToolWindow()
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setToolWindow

          public void setToolWindow(ApplicationToolWindow window)

    - #### createWindow

          protected abstract ApplicationToolWindow createWindow(C ctx,
                                           java.awt.Component caller)
                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.